public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx-gallery/
Date: Fri, 10 Mar 2023 04:59:06 +0000 (UTC)	[thread overview]
Message-ID: <1678423814.0c280480ba2ebeaa56b0c5c00302e64d8e4e73dc.mgorny@gentoo> (raw)

commit:     0c280480ba2ebeaa56b0c5c00302e64d8e4e73dc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Mar 10 04:50:14 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Mar 10 04:50:14 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c280480

dev-python/sphinx-gallery: Bump to 0.12.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/sphinx-gallery/Manifest                 |  1 +
 .../sphinx-gallery/sphinx-gallery-0.12.1.ebuild    | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/sphinx-gallery/Manifest b/dev-python/sphinx-gallery/Manifest
index e9e238c7dd19..bb3182d3e3b9 100644
--- a/dev-python/sphinx-gallery/Manifest
+++ b/dev-python/sphinx-gallery/Manifest
@@ -1,2 +1,3 @@
 DIST sphinx-gallery-0.11.1.tar.gz 393927 BLAKE2B c4c56e7bc7bfc519cd172cd104cfee902524c70de7fe76cc816d8f4612cbdf1a0786e3d5f83ea74ce7c1726eeaea5db45682efa3d873efeac49d94ab1393b9ac SHA512 514139213516851fe09aac4168d8fff72e5ce62eecdb0864f58e45d5fe6eab58b8fda749b72ae98f94b2bf8ac1a917396195d8a4d1750ec1563b30b879b12b8d
 DIST sphinx-gallery-0.12.0.tar.gz 402165 BLAKE2B 679b51041df7593a693116a558a0b297367b230f447f53821408631ef92f301e003d1c8446b4b3666b8836149f806b92a5f101993c4f0b395df983a49ef77101 SHA512 e086c9f4ca3c8f2018c88cf6d32e644735ddec0cf85a12757a36da93c6eda43bb77d64573b963fdcf7a2e24a8123ec675af48d2500eaed040ed91bde5f776b59
+DIST sphinx-gallery-0.12.1.tar.gz 402470 BLAKE2B e198679edca69be0a3ad01a3ddc45f909dbfa5771aa5f1dc3cb3bc4fc51d0b4565f28e2462c466386cd5982720b62ea28e3f4df7befbfd747042092fbf5387d8 SHA512 030423e4ff259d5e373c85bc04460598714ce8895a63537bcd96b9a903ddf44d05bfa4ecf15853f98391a9f35dc689406abb2d6fb1eaab0e40981806cd045241

diff --git a/dev-python/sphinx-gallery/sphinx-gallery-0.12.1.ebuild b/dev-python/sphinx-gallery/sphinx-gallery-0.12.1.ebuild
new file mode 100644
index 000000000000..fb10706de391
--- /dev/null
+++ b/dev-python/sphinx-gallery/sphinx-gallery-0.12.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Sphinx extension to automatically generate an examples gallery"
+HOMEPAGE="
+	https://github.com/sphinx-gallery/sphinx-gallery/
+	https://sphinx-gallery.github.io/
+	https://pypi.org/project/sphinx-gallery/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+	dev-python/matplotlib[${PYTHON_USEDEP}]
+	dev-python/pillow[${PYTHON_USEDEP}]
+	dev-python/sphinx[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/joblib[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -i -e 's:--cov-report= --cov=sphinx_gallery::' setup.cfg || die
+	distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+	# Internet
+	sphinx_gallery/tests/test_docs_resolv.py::test_embed_code_links_get_data
+	sphinx_gallery/tests/test_full.py::test_run_sphinx
+	sphinx_gallery/tests/test_full.py::test_embed_links_and_styles
+	# require jupyterlite_sphinx
+	sphinx_gallery/tests/test_full.py
+	sphinx_gallery/tests/test_full_noexec.py
+	sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents
+	sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents_non_default_contents
+	sphinx_gallery/tests/test_gen_gallery.py::test_create_jupyterlite_contents_with_jupyterlite_disabled_via_config
+)


             reply	other threads:[~2023-03-10  4:59 UTC|newest]

Thread overview: 69+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-10  4:59 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-24 13:06 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinx-gallery/ Michał Górny
2024-08-24  9:05 Arthur Zamarin
2024-08-07 14:10 Michał Górny
2024-07-22  1:47 Michał Górny
2024-07-11 19:23 Michał Górny
2024-05-17  9:49 Michał Górny
2024-05-17  8:46 Arthur Zamarin
2024-04-28  2:37 Michał Górny
2023-12-09 14:10 Michał Górny
2023-12-09 14:05 Michał Górny
2023-11-24 17:22 Arthur Zamarin
2023-11-21  4:44 Michał Górny
2023-09-25 18:57 Michał Górny
2023-09-25 17:43 Arthur Zamarin
2023-08-19  6:44 Michał Górny
2023-05-16  5:24 Michał Górny
2023-05-15 20:22 Arthur Zamarin
2023-04-15  8:23 Michał Górny
2023-04-08 12:24 Michał Górny
2023-04-08  8:42 Arthur Zamarin
2023-03-11  6:55 Michał Górny
2023-03-09  5:58 Michał Górny
2022-08-30 18:53 Michał Górny
2022-08-30 16:42 Jakov Smolić
2022-08-19 19:13 Arthur Zamarin
2022-07-29 10:52 Arthur Zamarin
2022-07-29 10:37 Arthur Zamarin
2022-01-11 15:00 Andrew Ammerlaan
2021-12-13 19:23 Michał Górny
2021-12-13 18:56 Arthur Zamarin
2021-11-13  9:37 Michał Górny
2021-10-31 20:09 Arthur Zamarin
2021-10-31 17:55 Sam James
2021-09-25  7:45 Michał Górny
2021-05-26  8:36 Michał Górny
2021-05-26  6:49 Agostino Sarubbo
2021-04-25  7:56 Michał Górny
2021-03-02  8:53 Michał Górny
2021-03-02  4:37 Sam James
2021-02-26 14:35 Michał Górny
2021-02-26 13:58 Sam James
2021-02-26 13:57 Sam James
2021-02-25 12:00 Sam James
2020-12-20 21:32 Sam James
2020-12-17 23:17 Michał Górny
2020-11-19 19:52 Michał Górny
2020-10-16 12:00 Michał Górny
2020-09-09 22:16 Michał Górny
2020-09-09  7:18 Michał Górny
2020-06-05 19:26 Michał Górny
2020-03-29  9:16 Michał Górny
2020-03-25 14:52 Agostino Sarubbo
2020-02-14 12:40 Michał Górny
2019-05-02 15:11 Virgil Dupras
2018-07-01 15:00 Pacho Ramos
2018-06-30 19:30 Mart Raudsepp
2018-04-25 20:27 Thomas Deutschmann
2018-04-22  7:34 Mikle Kolyada
2018-04-15 10:05 Pacho Ramos
2018-03-19 23:05 Sergei Trofimovich
2018-03-18 23:51 Sergei Trofimovich
2018-03-18 10:40 Sergei Trofimovich
2018-01-09 14:12 Andreas Sturmlechner
2017-07-31 20:46 Sebastien Fabbro
2017-05-04 17:35 Manuel Rüger
2017-01-14 17:16 Mike Gilbert
2017-01-04  6:02 Sebastien Fabbro
2016-12-29 19:56 Sebastien Fabbro

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1678423814.0c280480ba2ebeaa56b0c5c00302e64d8e4e73dc.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox